Cgu::MemFun::Functor2_const< Ret, Arg1, Arg2, T > Class Template Reference

`#include <mem_fun.h>`

Inheritance diagram for Cgu::MemFun::Functor2_const< Ret, Arg1, Arg2, T >:

## Public Member Functions

Ret | operator() (Arg1 arg1, Arg2 arg2) const
| Functor2_const (const T &obj_, Ret(T::*func_)(Arg1, Arg2) const)

## Constructor & Destructor Documentation

template<class Ret, class Arg1, class Arg2, class T>

Cgu::MemFun::Functor2_const< Ret, Arg1, Arg2, T >::Functor2_const | ( | const T & | obj_,
|  | Ret(T::*)(Arg1, Arg2) const | func_
| ) |  |

inline

## Member Function Documentation

template<class Ret, class Arg1, class Arg2, class T>

Ret Cgu::MemFun::Functor2_const< Ret, Arg1, Arg2, T >::operator() | ( | Arg1 | arg1,
|  | Arg2 | arg2
| ) |  | const

inline

The documentation for this class was generated from the following file:

- mem_fun.h